{
	"name": "table/external/4d/manager/resource/work_efficiency.json",
	"table_name": "work_efficiency",
	"table_prefix": "weff",
	"table_number": 55,
	"table_name_local": "resource_effeciency",
	"record_type_local": "efficiency",
	"field": [
	{
		"type": "varchar",
		"length": 90,
		"field_number": 4,
		"name": "change_id"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 5,
		"name": "creator_id"
	},
	{
		"type": "double",
		"field_number": 15,
		"name": "efficiency"
	},
	{
		"type": "integer",
		"field_number": 14,
		"name": "employee_count"
	},
	{
		"field_number": 13,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "employee_id",
		"foreign_key": {
			"field": "employee_id",
			"table": "employee"
		}
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 17,
		"name": "employee_skill"
	},
	{
		"type": "date",
		"field_number": 10,
		"name": "end_date"
	},
	{
		"type": "integer",
		"field_number": 11,
		"name": "firm_id"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 16,
		"name": "info"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 6,
		"name": "modifier_id"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 18,
		"name": "project_id"
	},
	{
		"field_number": 1,
		"type": "varchar",
		"length": 90,
		"name": "record_id",
		"constraint": [
			"unique"
		]
	},
	{
		"type": "date",
		"field_number": 9,
		"name": "start_date"
	},
	{
		"type": "integer",
		"field_number": 3,
		"name": "state"
	},
	{
		"type": "varchar",
		"length": 120,
		"field_number": 7,
		"name": "transfer_id"
	},
	{
		"type": "integer",
		"field_number": 8,
		"name": "transfer_state"
	},
	{
		"type": "integer",
		"field_number": 2,
		"name": "type_"
	},
	{
		"field_number": 12,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "work_load_group_id",
		"foreign_key": {
			"field": "work_load_group_id",
			"table": "work_load_group"
		}
	}
]
}
